import click
from pbench.cli.server import pass_cli_context
from pbench.server import PbenchServerConfig
from pbench.server.database import init_db
from pbench.cli.server.options import common_options

@click.command()
@pass_cli_context
@common_options
def pbench_init_db(
    context: object,
) -> None:
    try:
        config = PbenchServerConfig(context.config)
        init_db(config, None)
        rv = 0
    except Exception as exc:
        click.echo(exc, err=True)
        rv = 2 if isinstance(exc, BadConfig) else 1

    click.get_current_context().exit(rv)